﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.SignalR;
using VCinemaApi.Models;
using VCinemaApi.Repositories;

namespace VCinemaApi.Hubs
{
    public class VCinemaHub : Hub<IVCinemaHub>
    {
        private readonly IScreenRepository _screenRepository;
        private readonly IWatcherRepository _watcherRepository;

        public VCinemaHub(IScreenRepository screenRepository, IWatcherRepository watcherRepository)
        {
            _screenRepository = screenRepository;
            _watcherRepository = watcherRepository;
        }

        public override async Task OnConnectedAsync()
        {
            _watcherRepository.AddWatcher(Context.ConnectionId);
            await base.OnConnectedAsync();
        }

        public override async Task OnDisconnectedAsync(Exception exception)
        {
            _watcherRepository.DeleteWatcher(Context.ConnectionId);
            await base.OnDisconnectedAsync(exception);
        }

        public Screen CreateScreen(string name)
        {
            throw new NotImplementedException();
        }

        public void DeleteScreen(int screenId)
        {
            throw new NotImplementedException();
        }

        public Screen WatchScreen(int screenId)
        {
            throw new NotImplementedException();
        }

        public void LeaveScreen()
        {
            throw new NotImplementedException();
        }

        public void SetWatcherName(string name)
        {
            throw new NotImplementedException();
        }

        public void SetPlayState(bool playing)
        {
            throw new NotImplementedException();
        }

        public void SetPlayState(bool playing, int playOffset)
        {
            throw new NotImplementedException();
        }
    }
}
