﻿using System.Collections.Generic;
using System.Threading.Tasks;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public interface IWatcherRepository
    {
        IEnumerable<Watcher> GetWatchersByScreenId(int screenId);
        Watcher GetWatcherByConnectionId(string connectionId);
        Watcher AddWatcher(string connectionId);
        Watcher AddWatcher(string connectionId, int screenId);
        Watcher SetWatcherName(string connectionId, string name);
        void DeleteWatcher(string connectionId);
    }
}
