﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public class MockScreenRepository : IScreenRepository
    {
        public IEnumerable<Screen> GetScreens()
        {
            return new List<Screen>
            {
                new Screen {
                    ScreenId = 1,
                    Name = "Kirby's screen",
                    Source = "https://vcinema.b-cdn.net/shrek.mp4",
                    PlayStateUpdated = new DateTime(2020, 9, 21, 21, 02, 57),
                    PlayState = true,
                    PlayOffset = 1337
                },
                new Screen {
                    ScreenId = 2,
                    Name = "Sid's screen",
                    Source = "https://vcinema.b-cdn.net/weeb.mp4",
                    PlayStateUpdated = new DateTime(2020, 9, 21, 21, 03, 22),
                    PlayState = true,
                    PlayOffset = 69
                }
            };
        }

        public Screen GetScreenById(int screenId)
        {
            return new Screen
            {
                ScreenId = 1,
                Name = "Kirby's screen",
                Source = "https://vcinema.b-cdn.net/shrek.mp4",
                PlayStateUpdated = DateTime.UtcNow,
                PlayState = true,
                PlayOffset = 1337
            };
        }

        public Screen AddScreen(string screenName)
        {
            return new Screen
            {
                ScreenId = 1,
                Name = "Kirby's screen",
                Source = "https://vcinema.b-cdn.net/shrek.mp4",
                PlayStateUpdated = DateTime.UtcNow,
                PlayState = true,
                PlayOffset = 1337
            };
        }

        public void DeleteScreen(int screenId)
        {

        }
    }
}
