﻿using System.Collections.Generic;
using System.Linq;
using VCinemaApi.Models;

namespace VCinemaApi.Repositories
{
    public class ScreenRepository : IScreenRepository
    {
        private readonly VCinemaContext _context;

        public ScreenRepository(VCinemaContext context)
        {
            _context = context;
        }

        public IEnumerable<Screen> GetScreens()
        {
            return _context.Screens.ToList();
        }

        public Screen GetScreenById(int screenId)
        {
            return _context.Screens.Find(screenId);
        }

        public Screen AddScreen(string screenName)
        {
            var screen = new Screen
            {
                Name = screenName
            };

            _context.Screens.Add(screen);
            _context.SaveChanges();

            return screen;
        }

        public void DeleteScreen(int screenId)
        {
            var screen = GetScreenById(screenId);
            _context.Screens.Remove(screen);
            _context.SaveChanges();
        }
    }
}
